Package org.eclipse.net4j.util.event

# Class FinishedEvent

java.lang.Object
org.eclipse.net4j.util.event.FinishedEvent

All Implemented Interfaces:
  `IEvent`

public class FinishedEvent extends Object implements IEvent
An `IEvent` that is fired after a method has called a handler multiple times.

Since:
  3.3
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final IEvent`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`FinishedEvent(Object result)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getResult()`
`INotifier`
`getSource()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final IEvent INSTANCE

## Constructor Details

### FinishedEvent

public FinishedEvent(Object result)

## Method Details

### getResult

public Object getResult()

### getSource

public INotifier getSource()

Specified by:
  `getSource` in interface `IEvent`